OpenVPN 'read_key()' Function Stack Buffer Overflow Vulnerability

Bugtraq ID: 101153
Class: Boundary Condition Error
CVE: CVE-2017-12166
Remote: Yes
Local: No
Published: Sep 28 2017 12:00AM
Updated: Sep 28 2017 12:00AM
Credit: Guide Vranken
Vulnerable: OpenVPN OpenVPN 2.4.3
OpenVPN OpenVPN 2.4.2
OpenVPN OpenVPN 2.4.1
OpenVPN OpenVPN 2.4
OpenVPN OpenVPN 2.3.17
OpenVPN OpenVPN 2.3.15
OpenVPN OpenVPN 2.3.14
OpenVPN OpenVPN 2.3.13
OpenVPN OpenVPN 2.3.12
OpenVPN OpenVPN 2.3.6
OpenVPN OpenVPN 2.3.5
OpenVPN OpenVPN 2.3.3
OpenVPN OpenVPN 2.3.1
OpenVPN OpenVPN 2.3
OpenVPN OpenVPN 2.3.4
Not Vulnerable: OpenVPN OpenVPN 2.4.4
OpenVPN OpenVPN 2.3.18


 

Privacy Statement
Copyright 2010, SecurityFocus